Name: xmldb-api
Version: 20011111
Release: alt1

Summary: XML:DB API for Java
License: BSD style
Group: Development/Java

Source: %name-%version.tar.bz2
Url: http://xmldb-org.sourceforge.net/xapi/

BuildPreReq: /proc rpm-build-java
BuildRequires: ant junit jaxp_transform_impl
Requires: jaxp_transform_impl

BuildArch: noarch

%description
The API interfaces are what driver developers must implement when creating a
new driver and are the interfaces that applications are developed against.
Along with the interfaces a concrete DriverManager implementation is also
provides.

%package sdk
Summary: SDK for %name
Group: Development/Java
Requires: %name = %version-%release

%description sdk
The reference implementation provides a very simple file system based
implementation of the XML:DB API. This provides what is basically a very
simple native XML database that uses directories to represent collections and
just stores the XML in files.

The driver development kit provides a set of base classes that can be
extended to simplify and speed the development of XML:DB API drivers. These
classes are used to provide the basis for the reference implementation and
therefore a simple example of how a driver can be implemented. Using the SDK
classes significantly reduces the amount of code that must be written to
create a new driver.

Along with the SDK base classes the SDK also contains a set of jUnit test
cases that can be used to help validate the driver while it is being
developed. The test cases are still in development but there are enough tests
currently to be useful.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n xmldb
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

find . -name "*.java" -exec %__subst "s|assert(|assertTrue(|" {} \;
%__subst 's|return result;;|return result;|' \
api/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java

%build
%set_classpath %_javadir/junit.jar
%add_classpath %_javadir/jaxp_transform_impl.jar
%ant_build -Dusejikes=false -Djarname=%name -Dsdk.jarname=%name-sdk main
%__ant javadoc

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}
# jars
%__install -m 644 lib/%name.jar %buildroot%_javadir/
%__install -m 644 lib/%name-sdk.jar %buildroot%_javadir/

# javadoc
%__cp -pr javadoc/* %buildroot%_javadocdir/%name

%files
%doc AUTHORS LICENSE README config.xml
%_javadir/%name.jar

%files sdk
%_javadir/%name-sdk.jar

%files javadoc
%_javadocdir/%name

%changelog
* Sat Apr 23 2005 Vladimir Lettiev <crux@altlinux.ru> 20011111-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup
- URL changed

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> 0:20011111-3jpp
- Build with ant-1.6.2

* Mon May 05 2003 David Walluck <david@anti-microsoft.org> 0:20011111-2jpp
- update for JPackage 1.5
- fix sdk package summary
- fix for newer javac's

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20011111-1jpp
- first JPackage release
